Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.api.debugger/1 1.7.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netbeans.spi.debugger
Class DebuggerEngineProvider

    java.lang.Object
      org.netbeans.spi.debugger.DebuggerEngineProvider

    public abstract class DebuggerEngineProvider

extends Object

Creates a new instance of `DebuggerEngine` for session. DebuggerEngine implements support for one debugger language for session.

Constructor Summary
`DebuggerEngineProvider()`

Method Summary
`abstract String` | `getEngineTypeID()` Returns identifier of `DebuggerEngine`.
`abstract String[]` | `getLanguages()` Returns set of language names supported by `DebuggerEngine` provided by this DebuggerEngineProvider.
`abstract Object[]` | `getServices()` Returns array of services for `DebuggerEngine` provided by this DebuggerEngineProvider.
`abstract void` | `setDestructor(DebuggerEngine.Destructor desctuctor)` Sets destructor for new `DebuggerEngine` provided by this instance of DebuggerEngineProvider.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DebuggerEngineProvider

    public DebuggerEngineProvider()

Method Detail

### getLanguages

    public abstract String[] getLanguages()

  Returns set of language names supported by `DebuggerEngine` provided by this DebuggerEngineProvider.

  Returns:
    language name

### getEngineTypeID

    public abstract String getEngineTypeID()

  Returns identifier of `DebuggerEngine`.

  Returns:
    identifier of DebuggerEngine

### getServices

    public abstract Object[] getServices()

  Returns array of services for `DebuggerEngine` provided by this DebuggerEngineProvider.

  Returns:
    array of services

### setDestructor

    public abstract void setDestructor(DebuggerEngine.Destructor desctuctor)

  Sets destructor for new `DebuggerEngine` provided by this instance of DebuggerEngineProvider.

  Parameters:
    `desctuctor` - a desctuctor to be used for DebuggerEngine created by this instance

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.api.debugger/1 1.7.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.